package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFX40Response {

    @Parameter(name = "ACCOUNT_KEY")
    Long accountKey();

    @Parameter(name = "APP_KEY")
    Long appKey();

    @Parameter(name = "CO")
    String co();

    @Parameter(name = "CONTACT_ADDRESA_DOC_KEY")
    Long contactAddresaDocKey();

    @Parameter(name = "CONTACT_ADDRESA_KEY")
    Long contactAddresaKey();

    @Parameter(name = "CONTACT_CO")
    String contactCo();

    @Parameter(name = "CONTACT_CP")
    String contactCp();

    @Parameter(name = "CONTACT_Obec")
    String cONTACTObec();

    @Parameter(name = "CONTACT_PHONE_KEY")
    Long contactPhoneKey();

    @Parameter(name = "CONTACT_PSC")
    String contactPsc();

    @Parameter(name = "CONTACT_Telefon")
    String cONTACTTelefon();

    @Parameter(name = "CONTACT_Ulice")
    String cONTACTUlice();

    @Parameter(name = "CONTACT_Zeme")
    String cONTACTZeme();

    @Parameter(name = "CO_Zamestnavatele")
    String cOZamestnavatele();

    @Parameter(name = "CP")
    String cp();

    @Parameter(name = "CP_Zamestnavatele")
    String cPZamestnavatele();

    @Parameter(name = "CisloDruhehoDokladu")
    String cisloDruhehoDokladu();

    @Parameter(name = "CisloOP")
    String cisloOP();

    @Parameter(name = "Data")
    java.util.List<MWFX40Data> data();

    @Parameter(name = "DatumNastehovaniOD")
    java.util.Date datumNastehovaniOD();

    @Parameter(name = "DruhBydleni")
    String druhBydleni();

    @Parameter(name = "EMAIL_KEY")
    Long emailKey();

    @Parameter(name = "FIRST_DOCUMENT_ID_KEY")
    Long firstDocumentIdKey();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "INST_PT_KEY")
    Long instPtKey();

    @Parameter(name = "Jmeno")
    String jmeno();

    @Parameter(name = "MOBILE_PHONE_KEY")
    Long mobilePhoneKey();

    @Parameter(name = "Mesto")
    String mesto();

    @Parameter(name = "NazevZamestnavatele")
    String nazevZamestnavatele();

    @Parameter(name = "Obec_Zamestnavatele")
    String obecZamestnavatele();

    @Parameter(name = "PERMANENT_ADDR_KEY")
    Long permanentAddrKey();

    @Parameter(name = "PERMANENT_PHONE_KEY")
    Long permanentPhoneKey();

    @Parameter(name = "PRODUCT_CANDIDATE_KEY")
    Long productCandidateKey();

    @Parameter(name = "PRODUCT_CANDIDATE_TYPE")
    String productCandidateType();

    @Parameter(name = "PSC")
    String psc();

    @Parameter(name = "PSC_Zamestnavatele")
    String pSCZamestnavatele();

    @Parameter(name = "PlatnostDruhehoDokladu")
    java.util.Date platnostDruhehoDokladu();

    @Parameter(name = "PlatnostOP")
    java.util.Date platnostOP();

    @Parameter(name = "Povolani")
    String povolani();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "PrijmeniRodne")
    String prijmeniRodne();

    @Parameter(name = "RC")
    String rc();

    @Parameter(name = "SECOND_DOCUMENT_ID_KEY")
    Long secondDocumentIdKey();

    @Parameter(name = "Telefon")
    String telefon();

    @Parameter(name = "Telefon_Zamestnavatel")
    String telefonZamestnavatel();

    @Parameter(name = "Ulice")
    String ulice();

    @Parameter(name = "UliceZamestnavatele")
    String uliceZamestnavatele();

    @Parameter(name = "Vzdelani")
    String vzdelani();

    @Parameter(name = "ZAMESTNAVATEL_ADDR_KEY")
    Long zamestnavatelAddrKey();

    @Parameter(name = "ZAMESTNAVATEL_MOBILE_PHONE_KEY")
    Long zamestnavatelMobilePhoneKey();

    @Parameter(name = "ZAMESTNAVATEL_PHONE_KEY")
    Long zamestnavatelPhoneKey();

    @Parameter(name = "ZamestnanDO")
    java.util.Date zamestnanDO();

    @Parameter(name = "ZamestnanOD")
    java.util.Date zamestnanOD();

    @Parameter(name = "Zeme")
    String zeme();

}